package io.swagger.api;


import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/auth")

@Api(description = "the auth API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class AuthApi  {

    @POST
    @Path("/login")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Получить ключ доступа", notes = "Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))", response = String.class, tags={ "auth / Авторизация, начало работы с API",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Ключ доступа", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response authLoginPost(@QueryParam("login") String login,@QueryParam("salt") String salt,@QueryParam("response") String response) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/start")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Получить соль", notes = "Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.", response = String.class, tags={ "auth / Авторизация, начало работы с API" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Соль для авторизации", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response authStartGet(@QueryParam("login") String login) {
    	return Response.ok().entity("magic!").build();
    }
}

