package io.swagger.api;

import io.swagger.model.InlineResponse2003;
import io.swagger.model.InlineResponse2004;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/dns")

@Api(description = "the dns API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class DnsApi  {

    @GET
    @Path("/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Создание записи домена", notes = "", response = String.class, tags={ "DNS - доменные имена, привязки",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response dnsAddGet(@QueryParam("_token_") String token_,@QueryParam("add_dns_zone") String addDnsZone,@QueryParam("add_dns_record") String addDnsRecord,@QueryParam("iis_site_for_dns") String iisSiteForDns,@QueryParam("bind_only") Boolean bindOnly) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/bind")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Привязка одного домена к другому", notes = "", response = String.class, tags={ "DNS - доменные имена, привязки",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response dnsBindGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("bind_to") String bindTo) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Получить список доменных имён", notes = "", response = InlineResponse2003.class, responseContainer = "List", tags={ "DNS - доменные имена, привязки",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список доменных имён", response = InlineResponse2003.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2003.class, responseContainer = "List") })
    public Response dnsListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/prolong/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Информация по продлению доменов", notes = "", response = InlineResponse2004.class, responseContainer = "List", tags={ "DNS - доменные имена, привязки", "Аккаунт - биллинг, свойства и статус",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Информация по продлению доменов", response = InlineResponse2004.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2004.class, responseContainer = "List") })
    public Response dnsProlongListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/raw")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Редактирование \"сырой\" зоны", notes = "", response = String.class, tags={ "DNS - доменные имена, привязки",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response dnsRawGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("s_del") Integer sDel,@QueryParam("s_add") Integer sAdd,@QueryParam("dns_type") String dnsType,@QueryParam("dns_name") String dnsName,@QueryParam("dns_value") String dnsValue) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/raw/managedmx")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Редактировать DNS-зону", notes = "", response = String.class, tags={ "DNS - доменные имена, привязки" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response dnsRawManagedmxGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("managed_mx") Integer managedMx,@QueryParam("upd_managed_mx") Integer updManagedMx) {
    	return Response.ok().entity("magic!").build();
    }
}

