package io.swagger.api;

import io.swagger.model.InlineResponse20011;
import io.swagger.model.InlineResponse20012;
import io.swagger.model.InlineResponse20013;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;

import io.swagger.annotations.*;

import java.util.List;

@Path("/vds")

@Api(description = "the vds API")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJAXRSSpecServerCodegen", date = "2016-11-03T11:50:41.994+04:00")

public class VdsApi  {

    @GET
    @Path("/create")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Изменение параметров VDS", notes = "Изменение параметров уже существующего VDS", response = String.class, tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "ID VDS", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response vdsCreateGet(@QueryParam("_token_") String token_,@QueryParam("type") String type,@QueryParam("cr_hvmem") Integer crHvmem,@QueryParam("cr_hvdsk") Integer crHvdsk,@QueryParam("cr_hvcpu") Integer crHvcpu,@QueryParam("template") String template,@QueryParam("force_memo") String forceMemo,@QueryParam("hv_1gb_panel_version") String hv1gbPanelVersion,@QueryParam("panel_install") Boolean panelInstall,@QueryParam("cr_ssd1") Boolean crSsd1,@QueryParam("cr_hv_all_system") Boolean crHvAllSystem) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Удаление VDS", notes = "Предоставляет функционал для удаления VDS", response = String.class, tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response vdsDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("force_critical") Boolean forceCritical) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/ip/add")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Добавление IP на VDS", notes = "Этот вызов позволяет добавить ещё один IP адрес на указанный VDS", response = String.class, tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "IP-адрес успешно добавлен", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response vdsIpAddGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/ip/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Удаление IP с VDS", notes = "Этот вызов позволяет отвязать IP адрес от VDS", response = String.class, tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "IP-адрес успешно удалён", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response vdsIpDeleteGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("del_ip") String delIp) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/ip/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Список IP-адресов виртуальных серверов", notes = "Список IP-адресов виртуальных серверов", response = InlineResponse20011.class, responseContainer = "List", tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список IP-адресов виртуальных серверов", response = InlineResponse20011.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20011.class, responseContainer = "List") })
    public Response vdsIpListGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Список виртуальных серверов", notes = "Позволяет получить список виртуальных серверов", response = InlineResponse20012.class, responseContainer = "List", tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список виртуальных серверов", response = InlineResponse20012.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20012.class, responseContainer = "List") })
    public Response vdsListGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/reboot")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Перезагрузка VDS", notes = "Предоставляет функционал для перезагрузки VDS", response = String.class, tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response vdsRebootGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/templates-list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Список шаблонов виртуальных серверов", notes = "Позволяет получить список шаблонов виртуальных серверов", response = InlineResponse20013.class, responseContainer = "List", tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ",  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Список шаблонов виртуальных серверов", response = InlineResponse20013.class, responseContainer = "List"),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20013.class, responseContainer = "List") })
    public Response vdsTemplatesListGet(@QueryParam("_token_") String token_) {
    	return Response.ok().entity("magic!").build();
    }

    @GET
    @Path("/update")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @ApiOperation(value = "Создание VDS", notes = "Создание новых VDS с произвольными характеристиками", response = String.class, tags={ "VDS - виртуальные сервера Hyper-V / OpenVZ" })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Параметры VDS успешно обновлены", response = String.class),
        @ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response vdsUpdateGet(@QueryParam("_token_") String token_,@QueryParam("_key_") Integer key_,@QueryParam("cr_hvmem") Integer crHvmem,@QueryParam("cr_hvdsk") Integer crHvdsk,@QueryParam("cr_hvcpu") Integer crHvcpu) {
    	return Response.ok().entity("magic!").build();
    }
}

