package io.swagger.model;

import java.math.BigDecimal;



import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse2001   {
  
  private Integer id = null;
  private String description = null;
  private Integer billingGroupId = null;
  private String blocked = null;
  private String blockedDate = null;
  private String blockedReason = null;
  private BigDecimal creditLimit = null;
  private Integer planId = null;
  private Integer periodId = null;
  private Integer contractType = null;
  private Integer clientId = null;
  private String clientLogin = null;
  private String contractId = null;
  private String nameRus = null;
  private String nameEng = null;
  private String email = null;
  private Integer statSites = null;
  private Integer statSizeMb = null;
  private Integer statEmails = null;
  private Integer statMysqls = null;
  private Integer statTech = null;
  private Integer statNicd = null;
  private Integer statAccessDynamic = null;
  private Integer statAccessStatic = null;
  private Integer statAccessTraffic = null;
  private Integer statPaidTotal = null;
  private Integer statVdsSize = null;
  private String planName = null;
  private Integer periodMonths = null;
  private BigDecimal periodPrice = null;
  private String expires = null;
  private String externalCurrencySpelledPrefix = null;
  private String externalCurrencySpelledSuffix = null;

  /**
   * Идентификатор аккаунта
   **/
  public InlineResponse2001 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор аккаунта")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * Описание аккаунта
   **/
  public InlineResponse2001 description(String description) {
    this.description = description;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Описание аккаунта")
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }

  /**
   * Идентификатор тарифной группы
   **/
  public InlineResponse2001 billingGroupId(Integer billingGroupId) {
    this.billingGroupId = billingGroupId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор тарифной группы")
  public Integer getBillingGroupId() {
    return billingGroupId;
  }
  public void setBillingGroupId(Integer billingGroupId) {
    this.billingGroupId = billingGroupId;
  }

  /**
   * Аккаунт заблокирован, если true
   **/
  public InlineResponse2001 blocked(String blocked) {
    this.blocked = blocked;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Аккаунт заблокирован, если true")
  public String getBlocked() {
    return blocked;
  }
  public void setBlocked(String blocked) {
    this.blocked = blocked;
  }

  /**
   * Дата блокировки
   **/
  public InlineResponse2001 blockedDate(String blockedDate) {
    this.blockedDate = blockedDate;
    return this;
  }

  
  @ApiModelProperty(example = "null", value = "Дата блокировки")
  public String getBlockedDate() {
    return blockedDate;
  }
  public void setBlockedDate(String blockedDate) {
    this.blockedDate = blockedDate;
  }

  /**
   * Причина блокировки
   **/
  public InlineResponse2001 blockedReason(String blockedReason) {
    this.blockedReason = blockedReason;
    return this;
  }

  
  @ApiModelProperty(example = "null", value = "Причина блокировки")
  public String getBlockedReason() {
    return blockedReason;
  }
  public void setBlockedReason(String blockedReason) {
    this.blockedReason = blockedReason;
  }

  /**
   * Ограничение суммы на работу в аванс
   **/
  public InlineResponse2001 creditLimit(BigDecimal creditLimit) {
    this.creditLimit = creditLimit;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Ограничение суммы на работу в аванс")
  public BigDecimal getCreditLimit() {
    return creditLimit;
  }
  public void setCreditLimit(BigDecimal creditLimit) {
    this.creditLimit = creditLimit;
  }

  /**
   * Идентификатор тарифа
   **/
  public InlineResponse2001 planId(Integer planId) {
    this.planId = planId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор тарифа")
  public Integer getPlanId() {
    return planId;
  }
  public void setPlanId(Integer planId) {
    this.planId = planId;
  }

  /**
   * Идентификатор тарифа (периода)
   **/
  public InlineResponse2001 periodId(Integer periodId) {
    this.periodId = periodId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор тарифа (периода)")
  public Integer getPeriodId() {
    return periodId;
  }
  public void setPeriodId(Integer periodId) {
    this.periodId = periodId;
  }

  /**
   * Тип договора
   **/
  public InlineResponse2001 contractType(Integer contractType) {
    this.contractType = contractType;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Тип договора")
  public Integer getContractType() {
    return contractType;
  }
  public void setContractType(Integer contractType) {
    this.contractType = contractType;
  }

  /**
   * 
   **/
  public InlineResponse2001 clientId(Integer clientId) {
    this.clientId = clientId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getClientId() {
    return clientId;
  }
  public void setClientId(Integer clientId) {
    this.clientId = clientId;
  }

  /**
   * Логин клиента
   **/
  public InlineResponse2001 clientLogin(String clientLogin) {
    this.clientLogin = clientLogin;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Логин клиента")
  public String getClientLogin() {
    return clientLogin;
  }
  public void setClientLogin(String clientLogin) {
    this.clientLogin = clientLogin;
  }

  /**
   * Номер договора
   **/
  public InlineResponse2001 contractId(String contractId) {
    this.contractId = contractId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Номер договора")
  public String getContractId() {
    return contractId;
  }
  public void setContractId(String contractId) {
    this.contractId = contractId;
  }

  /**
   * Имя клиента на русском
   **/
  public InlineResponse2001 nameRus(String nameRus) {
    this.nameRus = nameRus;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Имя клиента на русском")
  public String getNameRus() {
    return nameRus;
  }
  public void setNameRus(String nameRus) {
    this.nameRus = nameRus;
  }

  /**
   * Имя клиента на английском
   **/
  public InlineResponse2001 nameEng(String nameEng) {
    this.nameEng = nameEng;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Имя клиента на английском")
  public String getNameEng() {
    return nameEng;
  }
  public void setNameEng(String nameEng) {
    this.nameEng = nameEng;
  }

  /**
   * E-mail клиент
   **/
  public InlineResponse2001 email(String email) {
    this.email = email;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "E-mail клиент")
  public String getEmail() {
    return email;
  }
  public void setEmail(String email) {
    this.email = email;
  }

  /**
   * Количество созданных сайтов
   **/
  public InlineResponse2001 statSites(Integer statSites) {
    this.statSites = statSites;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Количество созданных сайтов")
  public Integer getStatSites() {
    return statSites;
  }
  public void setStatSites(Integer statSites) {
    this.statSites = statSites;
  }

  /**
   * Используемое дисковое пространство
   **/
  public InlineResponse2001 statSizeMb(Integer statSizeMb) {
    this.statSizeMb = statSizeMb;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Используемое дисковое пространство")
  public Integer getStatSizeMb() {
    return statSizeMb;
  }
  public void setStatSizeMb(Integer statSizeMb) {
    this.statSizeMb = statSizeMb;
  }

  /**
   * Количество созданных почтовых ящиков
   **/
  public InlineResponse2001 statEmails(Integer statEmails) {
    this.statEmails = statEmails;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Количество созданных почтовых ящиков")
  public Integer getStatEmails() {
    return statEmails;
  }
  public void setStatEmails(Integer statEmails) {
    this.statEmails = statEmails;
  }

  /**
   * Количество баз данных MySQL
   **/
  public InlineResponse2001 statMysqls(Integer statMysqls) {
    this.statMysqls = statMysqls;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Количество баз данных MySQL")
  public Integer getStatMysqls() {
    return statMysqls;
  }
  public void setStatMysqls(Integer statMysqls) {
    this.statMysqls = statMysqls;
  }

  /**
   * 
   **/
  public InlineResponse2001 statTech(Integer statTech) {
    this.statTech = statTech;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatTech() {
    return statTech;
  }
  public void setStatTech(Integer statTech) {
    this.statTech = statTech;
  }

  /**
   * 
   **/
  public InlineResponse2001 statNicd(Integer statNicd) {
    this.statNicd = statNicd;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatNicd() {
    return statNicd;
  }
  public void setStatNicd(Integer statNicd) {
    this.statNicd = statNicd;
  }

  /**
   * 
   **/
  public InlineResponse2001 statAccessDynamic(Integer statAccessDynamic) {
    this.statAccessDynamic = statAccessDynamic;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatAccessDynamic() {
    return statAccessDynamic;
  }
  public void setStatAccessDynamic(Integer statAccessDynamic) {
    this.statAccessDynamic = statAccessDynamic;
  }

  /**
   * 
   **/
  public InlineResponse2001 statAccessStatic(Integer statAccessStatic) {
    this.statAccessStatic = statAccessStatic;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatAccessStatic() {
    return statAccessStatic;
  }
  public void setStatAccessStatic(Integer statAccessStatic) {
    this.statAccessStatic = statAccessStatic;
  }

  /**
   * 
   **/
  public InlineResponse2001 statAccessTraffic(Integer statAccessTraffic) {
    this.statAccessTraffic = statAccessTraffic;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatAccessTraffic() {
    return statAccessTraffic;
  }
  public void setStatAccessTraffic(Integer statAccessTraffic) {
    this.statAccessTraffic = statAccessTraffic;
  }

  /**
   * 
   **/
  public InlineResponse2001 statPaidTotal(Integer statPaidTotal) {
    this.statPaidTotal = statPaidTotal;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatPaidTotal() {
    return statPaidTotal;
  }
  public void setStatPaidTotal(Integer statPaidTotal) {
    this.statPaidTotal = statPaidTotal;
  }

  /**
   * Размер дисков VDS
   **/
  public InlineResponse2001 statVdsSize(Integer statVdsSize) {
    this.statVdsSize = statVdsSize;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Размер дисков VDS")
  public Integer getStatVdsSize() {
    return statVdsSize;
  }
  public void setStatVdsSize(Integer statVdsSize) {
    this.statVdsSize = statVdsSize;
  }

  /**
   * Название тарифного плана
   **/
  public InlineResponse2001 planName(String planName) {
    this.planName = planName;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Название тарифного плана")
  public String getPlanName() {
    return planName;
  }
  public void setPlanName(String planName) {
    this.planName = planName;
  }

  /**
   * Количество месяцев в оплаченном периоде
   **/
  public InlineResponse2001 periodMonths(Integer periodMonths) {
    this.periodMonths = periodMonths;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Количество месяцев в оплаченном периоде")
  public Integer getPeriodMonths() {
    return periodMonths;
  }
  public void setPeriodMonths(Integer periodMonths) {
    this.periodMonths = periodMonths;
  }

  /**
   * Стоимость оплаченного периода
   **/
  public InlineResponse2001 periodPrice(BigDecimal periodPrice) {
    this.periodPrice = periodPrice;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Стоимость оплаченного периода")
  public BigDecimal getPeriodPrice() {
    return periodPrice;
  }
  public void setPeriodPrice(BigDecimal periodPrice) {
    this.periodPrice = periodPrice;
  }

  /**
   * 
   **/
  public InlineResponse2001 expires(String expires) {
    this.expires = expires;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getExpires() {
    return expires;
  }
  public void setExpires(String expires) {
    this.expires = expires;
  }

  /**
   * Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
   **/
  public InlineResponse2001 externalCurrencySpelledPrefix(String externalCurrencySpelledPrefix) {
    this.externalCurrencySpelledPrefix = externalCurrencySpelledPrefix;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')")
  public String getExternalCurrencySpelledPrefix() {
    return externalCurrencySpelledPrefix;
  }
  public void setExternalCurrencySpelledPrefix(String externalCurrencySpelledPrefix) {
    this.externalCurrencySpelledPrefix = externalCurrencySpelledPrefix;
  }

  /**
   * Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
   **/
  public InlineResponse2001 externalCurrencySpelledSuffix(String externalCurrencySpelledSuffix) {
    this.externalCurrencySpelledSuffix = externalCurrencySpelledSuffix;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'")
  public String getExternalCurrencySpelledSuffix() {
    return externalCurrencySpelledSuffix;
  }
  public void setExternalCurrencySpelledSuffix(String externalCurrencySpelledSuffix) {
    this.externalCurrencySpelledSuffix = externalCurrencySpelledSuffix;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2001 inlineResponse2001 = (InlineResponse2001) o;
    return Objects.equals(id, inlineResponse2001.id) &&
        Objects.equals(description, inlineResponse2001.description) &&
        Objects.equals(billingGroupId, inlineResponse2001.billingGroupId) &&
        Objects.equals(blocked, inlineResponse2001.blocked) &&
        Objects.equals(blockedDate, inlineResponse2001.blockedDate) &&
        Objects.equals(blockedReason, inlineResponse2001.blockedReason) &&
        Objects.equals(creditLimit, inlineResponse2001.creditLimit) &&
        Objects.equals(planId, inlineResponse2001.planId) &&
        Objects.equals(periodId, inlineResponse2001.periodId) &&
        Objects.equals(contractType, inlineResponse2001.contractType) &&
        Objects.equals(clientId, inlineResponse2001.clientId) &&
        Objects.equals(clientLogin, inlineResponse2001.clientLogin) &&
        Objects.equals(contractId, inlineResponse2001.contractId) &&
        Objects.equals(nameRus, inlineResponse2001.nameRus) &&
        Objects.equals(nameEng, inlineResponse2001.nameEng) &&
        Objects.equals(email, inlineResponse2001.email) &&
        Objects.equals(statSites, inlineResponse2001.statSites) &&
        Objects.equals(statSizeMb, inlineResponse2001.statSizeMb) &&
        Objects.equals(statEmails, inlineResponse2001.statEmails) &&
        Objects.equals(statMysqls, inlineResponse2001.statMysqls) &&
        Objects.equals(statTech, inlineResponse2001.statTech) &&
        Objects.equals(statNicd, inlineResponse2001.statNicd) &&
        Objects.equals(statAccessDynamic, inlineResponse2001.statAccessDynamic) &&
        Objects.equals(statAccessStatic, inlineResponse2001.statAccessStatic) &&
        Objects.equals(statAccessTraffic, inlineResponse2001.statAccessTraffic) &&
        Objects.equals(statPaidTotal, inlineResponse2001.statPaidTotal) &&
        Objects.equals(statVdsSize, inlineResponse2001.statVdsSize) &&
        Objects.equals(planName, inlineResponse2001.planName) &&
        Objects.equals(periodMonths, inlineResponse2001.periodMonths) &&
        Objects.equals(periodPrice, inlineResponse2001.periodPrice) &&
        Objects.equals(expires, inlineResponse2001.expires) &&
        Objects.equals(externalCurrencySpelledPrefix, inlineResponse2001.externalCurrencySpelledPrefix) &&
        Objects.equals(externalCurrencySpelledSuffix, inlineResponse2001.externalCurrencySpelledSuffix);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, description, billingGroupId, blocked, blockedDate, blockedReason, creditLimit, planId, periodId, contractType, clientId, clientLogin, contractId, nameRus, nameEng, email, statSites, statSizeMb, statEmails, statMysqls, statTech, statNicd, statAccessDynamic, statAccessStatic, statAccessTraffic, statPaidTotal, statVdsSize, planName, periodMonths, periodPrice, expires, externalCurrencySpelledPrefix, externalCurrencySpelledSuffix);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2001 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    billingGroupId: ").append(toIndentedString(billingGroupId)).append("\n");
    sb.append("    blocked: ").append(toIndentedString(blocked)).append("\n");
    sb.append("    blockedDate: ").append(toIndentedString(blockedDate)).append("\n");
    sb.append("    blockedReason: ").append(toIndentedString(blockedReason)).append("\n");
    sb.append("    creditLimit: ").append(toIndentedString(creditLimit)).append("\n");
    sb.append("    planId: ").append(toIndentedString(planId)).append("\n");
    sb.append("    periodId: ").append(toIndentedString(periodId)).append("\n");
    sb.append("    contractType: ").append(toIndentedString(contractType)).append("\n");
    sb.append("    clientId: ").append(toIndentedString(clientId)).append("\n");
    sb.append("    clientLogin: ").append(toIndentedString(clientLogin)).append("\n");
    sb.append("    contractId: ").append(toIndentedString(contractId)).append("\n");
    sb.append("    nameRus: ").append(toIndentedString(nameRus)).append("\n");
    sb.append("    nameEng: ").append(toIndentedString(nameEng)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    statSites: ").append(toIndentedString(statSites)).append("\n");
    sb.append("    statSizeMb: ").append(toIndentedString(statSizeMb)).append("\n");
    sb.append("    statEmails: ").append(toIndentedString(statEmails)).append("\n");
    sb.append("    statMysqls: ").append(toIndentedString(statMysqls)).append("\n");
    sb.append("    statTech: ").append(toIndentedString(statTech)).append("\n");
    sb.append("    statNicd: ").append(toIndentedString(statNicd)).append("\n");
    sb.append("    statAccessDynamic: ").append(toIndentedString(statAccessDynamic)).append("\n");
    sb.append("    statAccessStatic: ").append(toIndentedString(statAccessStatic)).append("\n");
    sb.append("    statAccessTraffic: ").append(toIndentedString(statAccessTraffic)).append("\n");
    sb.append("    statPaidTotal: ").append(toIndentedString(statPaidTotal)).append("\n");
    sb.append("    statVdsSize: ").append(toIndentedString(statVdsSize)).append("\n");
    sb.append("    planName: ").append(toIndentedString(planName)).append("\n");
    sb.append("    periodMonths: ").append(toIndentedString(periodMonths)).append("\n");
    sb.append("    periodPrice: ").append(toIndentedString(periodPrice)).append("\n");
    sb.append("    expires: ").append(toIndentedString(expires)).append("\n");
    sb.append("    externalCurrencySpelledPrefix: ").append(toIndentedString(externalCurrencySpelledPrefix)).append("\n");
    sb.append("    externalCurrencySpelledSuffix: ").append(toIndentedString(externalCurrencySpelledSuffix)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
