package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse20010   {
  
  private Integer id = null;
  private String datetime = null;
  private String description = null;
  private String descriptionPlain = null;

  /**
   * Идентификатор записи
   **/
  public InlineResponse20010 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор записи")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * Дата и время создания записи
   **/
  public InlineResponse20010 datetime(String datetime) {
    this.datetime = datetime;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Дата и время создания записи")
  public String getDatetime() {
    return datetime;
  }
  public void setDatetime(String datetime) {
    this.datetime = datetime;
  }

  /**
   * Тело сообщения (с HTML-тэгами)
   **/
  public InlineResponse20010 description(String description) {
    this.description = description;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Тело сообщения (с HTML-тэгами)")
  public String getDescription() {
    return description;
  }
  public void setDescription(String description) {
    this.description = description;
  }

  /**
   * Тело сообщения (без тэгов)
   **/
  public InlineResponse20010 descriptionPlain(String descriptionPlain) {
    this.descriptionPlain = descriptionPlain;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Тело сообщения (без тэгов)")
  public String getDescriptionPlain() {
    return descriptionPlain;
  }
  public void setDescriptionPlain(String descriptionPlain) {
    this.descriptionPlain = descriptionPlain;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20010 inlineResponse20010 = (InlineResponse20010) o;
    return Objects.equals(id, inlineResponse20010.id) &&
        Objects.equals(datetime, inlineResponse20010.datetime) &&
        Objects.equals(description, inlineResponse20010.description) &&
        Objects.equals(descriptionPlain, inlineResponse20010.descriptionPlain);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, datetime, description, descriptionPlain);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20010 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    datetime: ").append(toIndentedString(datetime)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    descriptionPlain: ").append(toIndentedString(descriptionPlain)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
