package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class InlineResponse2004   {
  
  private String dateUpdated = null;
  private String recordCreated = null;
  private String subjectContract = null;
  private String endDate = null;
  private String payedTill = null;
  private String objectState = null;
  private String domainAddr = null;
  private String nservers = null;
  private Integer expiresCountdown = null;

  /**
   * Дата последнего обновления домена
   **/
  public InlineResponse2004 dateUpdated(String dateUpdated) {
    this.dateUpdated = dateUpdated;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Дата последнего обновления домена")
  public String getDateUpdated() {
    return dateUpdated;
  }
  public void setDateUpdated(String dateUpdated) {
    this.dateUpdated = dateUpdated;
  }

  /**
   * Дата создания записи
   **/
  public InlineResponse2004 recordCreated(String recordCreated) {
    this.recordCreated = recordCreated;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Дата создания записи")
  public String getRecordCreated() {
    return recordCreated;
  }
  public void setRecordCreated(String recordCreated) {
    this.recordCreated = recordCreated;
  }

  /**
   * 
   **/
  public InlineResponse2004 subjectContract(String subjectContract) {
    this.subjectContract = subjectContract;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSubjectContract() {
    return subjectContract;
  }
  public void setSubjectContract(String subjectContract) {
    this.subjectContract = subjectContract;
  }

  /**
   * 
   **/
  public InlineResponse2004 endDate(String endDate) {
    this.endDate = endDate;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getEndDate() {
    return endDate;
  }
  public void setEndDate(String endDate) {
    this.endDate = endDate;
  }

  /**
   * Дата, до которой оплачен домен
   **/
  public InlineResponse2004 payedTill(String payedTill) {
    this.payedTill = payedTill;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Дата, до которой оплачен домен")
  public String getPayedTill() {
    return payedTill;
  }
  public void setPayedTill(String payedTill) {
    this.payedTill = payedTill;
  }

  /**
   * 
   **/
  public InlineResponse2004 objectState(String objectState) {
    this.objectState = objectState;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getObjectState() {
    return objectState;
  }
  public void setObjectState(String objectState) {
    this.objectState = objectState;
  }

  /**
   * Имя домена
   **/
  public InlineResponse2004 domainAddr(String domainAddr) {
    this.domainAddr = domainAddr;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Имя домена")
  public String getDomainAddr() {
    return domainAddr;
  }
  public void setDomainAddr(String domainAddr) {
    this.domainAddr = domainAddr;
  }

  /**
   * Сервера имён домена
   **/
  public InlineResponse2004 nservers(String nservers) {
    this.nservers = nservers;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Сервера имён домена")
  public String getNservers() {
    return nservers;
  }
  public void setNservers(String nservers) {
    this.nservers = nservers;
  }

  /**
   * Количество дней до окончания срока действия домена
   **/
  public InlineResponse2004 expiresCountdown(Integer expiresCountdown) {
    this.expiresCountdown = expiresCountdown;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Количество дней до окончания срока действия домена")
  public Integer getExpiresCountdown() {
    return expiresCountdown;
  }
  public void setExpiresCountdown(Integer expiresCountdown) {
    this.expiresCountdown = expiresCountdown;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2004 inlineResponse2004 = (InlineResponse2004) o;
    return Objects.equals(dateUpdated, inlineResponse2004.dateUpdated) &&
        Objects.equals(recordCreated, inlineResponse2004.recordCreated) &&
        Objects.equals(subjectContract, inlineResponse2004.subjectContract) &&
        Objects.equals(endDate, inlineResponse2004.endDate) &&
        Objects.equals(payedTill, inlineResponse2004.payedTill) &&
        Objects.equals(objectState, inlineResponse2004.objectState) &&
        Objects.equals(domainAddr, inlineResponse2004.domainAddr) &&
        Objects.equals(nservers, inlineResponse2004.nservers) &&
        Objects.equals(expiresCountdown, inlineResponse2004.expiresCountdown);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dateUpdated, recordCreated, subjectContract, endDate, payedTill, objectState, domainAddr, nservers, expiresCountdown);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2004 {\n");
    
    sb.append("    dateUpdated: ").append(toIndentedString(dateUpdated)).append("\n");
    sb.append("    recordCreated: ").append(toIndentedString(recordCreated)).append("\n");
    sb.append("    subjectContract: ").append(toIndentedString(subjectContract)).append("\n");
    sb.append("    endDate: ").append(toIndentedString(endDate)).append("\n");
    sb.append("    payedTill: ").append(toIndentedString(payedTill)).append("\n");
    sb.append("    objectState: ").append(toIndentedString(objectState)).append("\n");
    sb.append("    domainAddr: ").append(toIndentedString(domainAddr)).append("\n");
    sb.append("    nservers: ").append(toIndentedString(nservers)).append("\n");
    sb.append("    expiresCountdown: ").append(toIndentedString(expiresCountdown)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
