package io.swagger.model;




import io.swagger.annotations.*;
import java.util.Objects;


public class _   {
  
  private String mail = null;
  private String website = null;
  private Boolean mysql = null;
  private String size = null;
  private Boolean mssql = null;
  private Boolean dynamicContent = null;
  private Boolean phpExec = null;
  private String ftp2 = null;

  /**
   * Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.
   **/
  public _ mail(String mail) {
    this.mail = mail;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.")
  public String getMail() {
    return mail;
  }
  public void setMail(String mail) {
    this.mail = mail;
  }

  /**
   * Ограничение на количество сайтов. '-' означает отсутствие лимита.
   **/
  public _ website(String website) {
    this.website = website;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на количество сайтов. '-' означает отсутствие лимита.")
  public String getWebsite() {
    return website;
  }
  public void setWebsite(String website) {
    this.website = website;
  }

  /**
   * MySQL разрешен, если true.
   **/
  public _ mysql(Boolean mysql) {
    this.mysql = mysql;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "MySQL разрешен, если true.")
  public Boolean getMysql() {
    return mysql;
  }
  public void setMysql(Boolean mysql) {
    this.mysql = mysql;
  }

  /**
   * Ограничение на размер дискового пространства. '-' означает отсутствие лимита.
   **/
  public _ size(String size) {
    this.size = size;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на размер дискового пространства. '-' означает отсутствие лимита.")
  public String getSize() {
    return size;
  }
  public void setSize(String size) {
    this.size = size;
  }

  /**
   * MSSQL разрешен, если true.
   **/
  public _ mssql(Boolean mssql) {
    this.mssql = mssql;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "MSSQL разрешен, если true.")
  public Boolean getMssql() {
    return mssql;
  }
  public void setMssql(Boolean mssql) {
    this.mssql = mssql;
  }

  /**
   * CGI и PHP скрипты разрешены, если true.
   **/
  public _ dynamicContent(Boolean dynamicContent) {
    this.dynamicContent = dynamicContent;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "CGI и PHP скрипты разрешены, если true.")
  public Boolean getDynamicContent() {
    return dynamicContent;
  }
  public void setDynamicContent(Boolean dynamicContent) {
    this.dynamicContent = dynamicContent;
  }

  /**
   * Функция exec() в PHP разрешена, если true.
   **/
  public _ phpExec(Boolean phpExec) {
    this.phpExec = phpExec;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Функция exec() в PHP разрешена, если true.")
  public Boolean getPhpExec() {
    return phpExec;
  }
  public void setPhpExec(Boolean phpExec) {
    this.phpExec = phpExec;
  }

  /**
   * Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.
   **/
  public _ ftp2(String ftp2) {
    this.ftp2 = ftp2;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.")
  public String getFtp2() {
    return ftp2;
  }
  public void setFtp2(String ftp2) {
    this.ftp2 = ftp2;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    _ u = (_) o;
    return Objects.equals(mail, u.mail) &&
        Objects.equals(website, u.website) &&
        Objects.equals(mysql, u.mysql) &&
        Objects.equals(size, u.size) &&
        Objects.equals(mssql, u.mssql) &&
        Objects.equals(dynamicContent, u.dynamicContent) &&
        Objects.equals(phpExec, u.phpExec) &&
        Objects.equals(ftp2, u.ftp2);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mail, website, mysql, size, mssql, dynamicContent, phpExec, ftp2);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class _ {\n");
    
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    website: ").append(toIndentedString(website)).append("\n");
    sb.append("    mysql: ").append(toIndentedString(mysql)).append("\n");
    sb.append("    size: ").append(toIndentedString(size)).append("\n");
    sb.append("    mssql: ").append(toIndentedString(mssql)).append("\n");
    sb.append("    dynamicContent: ").append(toIndentedString(dynamicContent)).append("\n");
    sb.append("    phpExec: ").append(toIndentedString(phpExec)).append("\n");
    sb.append("    ftp2: ").append(toIndentedString(ftp2)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
